### File

`packages/components/testing/mocks/translate.module.mock.ts`

### Index

###### Properties
currentLang isLoaded isLoadedSubject languages onDefaultLangChange onDefaultLangChangeSubject onFallbackLangChange onFallbackLangChangeSubject onLangChange onLangChangeSubject onTranslationChange onTranslationChangeSubject
###### Methods
addLangs get getBrowserLang getLangs getTranslation instant setDefaultLang stream use

### Properties

currentLang
Type : `string`

isLoaded
Type : `Observable<boolean>`
Default value : `this.isLoadedSubject.asObservable()`

isLoadedSubject
Type : `BehaviorSubject<boolean>`
Default value : `new BehaviorSubject(true)`

languages
Type : `string[]`
Default value : `['de']`

onDefaultLangChange
Type : `Observable<string>`
Default value : `this.onDefaultLangChangeSubject.asObservable()`

onDefaultLangChangeSubject
Type : `Subject<string>`
Default value : `new Subject()`

onFallbackLangChange
Type : `Observable<LangChangeEvent>`
Default value : `this.onFallbackLangChangeSubject.asObservable()`

onFallbackLangChangeSubject
Type : `Subject<LangChangeEvent>`
Default value : `new Subject()`

onLangChange
Type : `Observable<LangChangeEvent>`
Default value : `this.onLangChangeSubject.asObservable()`

onLangChangeSubject
Type : `Subject<LangChangeEvent>`
Default value : `new Subject()`

onTranslationChange
Type : `Observable<string>`
Default value : `this.onTranslationChangeSubject.asObservable()`

onTranslationChangeSubject
Type : `Subject<string>`
Default value : `new Subject()`

### Methods

addLangs
`addLangs(langs: string[])`
Parameters :
Name | Type | Optional
langs | `string[]` | No
Returns : `void`

get
`get(content: string)`
Parameters :
Name | Type | Optional
content | `string` | No
Returns : `Observable<string>`

getBrowserLang
`getBrowserLang()`
Returns : `string`

getLangs
`getLangs()`
Returns : `string[]`

getTranslation
`getTranslation()`
Returns : `Observable<any>`

instant
`instant(key: string | string[], interpolateParams?: object)`
Parameters :
Name | Type | Optional
key | `string | string[]` | No
interpolateParams | `object` | Yes
Returns : `string`

setDefaultLang
`setDefaultLang(lang: string)`
Parameters :
Name | Type | Optional
lang | `string` | No
Returns : `void`

stream
`stream(content: string)`
Parameters :
Name | Type | Optional
content | `string` | No
Returns : `Observable<string>`

use
`use(lang: string)`
Parameters :
Name | Type | Optional
lang | `string` | No
Returns : `void`

# results matching ""

# No results matching ""